Bug 89190 - PCMCIA will not work after recompile
PCMCIA will not work after recompile
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-19 15:40 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-19 15:40:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; de-DE; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:
when i recompile the kernel with the option CPU Pentium 3 my PCMCIA cards will
not work.

Version-Release number of selected component (if applicable):
kernel-source-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
make mrproper
make xconfig load /boot/config2.4.20-9 change cpu type to Pentium 3
make clean &&make dep &&make bzImage &&make modules &&make install &&make
modules_install
reboot

Actual Results:  the PCMCIA cards does not work

Expected Results:  alle hardware run as with kernel with CPU option Pentium 2

Additional info:
Comment 1 D. Hugh Redelmeier 2003-10-23 21:43:55 EDT
I am experiencing something like this.  I did find a very odd workaround:
delete /lib/modules/KERNELVERSION/pcmcia.
For some reason, this makes modprobe look in
/lib/modules/KERNELVERSION/drivers/pcmcia/.

I figured this out by stracing the first modprobe of /etc/rc.d/init.d/pcmcia
start.  Ugh.

Note: I didn't change any options.  I used the canned 686 config.

I wonder *why* this is necessary.
Comment 2 Bugzilla owner 2004-09-30 11:40:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.